CRMchat APIBeta
Organization Properties

Update organization property

PATCH
/organizations/{organizationId}/properties/{objectType}/{propertyKey}

Partially updates an organization property definition using JSON Merge Patch.

Authorization

bearerAuth
AuthorizationBearer <token>

API key (sk_...) as Bearer token

In: header

Path Parameters

organizationId*string
objectType*"contacts"

Value in

  • "contacts"
propertyKey*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Length1 <= length
description?string|null
placeholder?string|null
required?boolean
type*string
Must be"text"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/organizations/string/properties/contacts/string" \  -H "Content-Type: application/json" \  -d '{    "type": "text"  }'
{  "data": {    "key": "string",    "type": "text",    "name": "string",    "description": "string",    "placeholder": "string",    "required": false,    "readonly": true,    "scope": "organization"  }}